Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class Resource

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.Resource

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Room

public class Resource
extends AbstractDocument
implements java.io.Serializable

This class is a Domino resource for use in a reservation. Resource instances are obtained from the `AddressBook` class. Methods that access properites on the class require that the properties were loaded beforehand, when the message was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server, and require that the `PropertyKey.DOCUMENT_ID` and `PropertyKey.DOCUMENT_TYPE` properties to be loaded beforehand. Any additional property requirements are indicated on each individual method.

See Also:
  Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on a resource.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`java.lang.String` | `getDescription()` Gets the description of the resource.
`java.lang.String` | `getFullName()` Gets the full name of the resource.
`java.lang.String` | `getMailDomain()` Gets the mail domain of the resource.
`java.lang.String` | `getMailFile()` Gets the mail file of the resource.
`java.lang.String` | `getMailServer()` Gets the mail server of the resource.
`ResourceType` | `getResourceType()` Gets the resource type.

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo, serverUpdate`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on a resource. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### getDescription

    public java.lang.String getDescription()
                                    throws DominoException

  Gets the description of the resource.

  Returns:
    the description of the resource
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.DESCRIPTION`

### getMailDomain

    public java.lang.String getMailDomain()
                                   throws DominoException

  Gets the mail domain of the resource.

  Returns:
    the mail domain of the resource
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.MAIL_DOMAIN`

### getMailServer

    public java.lang.String getMailServer()
                                   throws DominoException

  Gets the mail server of the resource.

  Returns:
    the mail server of the resource
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.MAIL_SERVER`

### getMailFile

    public java.lang.String getMailFile()
                                 throws DominoException

  Gets the mail file of the resource.

  Returns:
    the mail file of the resource
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.MAIL_FILE`

### getResourceType

    public ResourceType getResourceType()
                                 throws DominoException

  Gets the resource type.

  Returns:
    the resource type or `null` if not recognized
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.RESOURCE_TYPE`

### getFullName

    public java.lang.String getFullName()
                                 throws DominoException

  Gets the full name of the resource.

  Returns:
    the full name of the resource
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.FULL_NAME`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.